Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.edr.filter
Class EdrFilterFactory

    java.lang.Object
      com.bea.wlcp.wlng.api.edr.filter.EdrFilterFactory

public class EdrFilterFactory
extends Object

This class creates the default filters for edrs, alarms, cdrs, etc. The configuration files for these filters are located in the nt ear file.

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `FILTER_ALARM`
`static String` | `FILTER_CDR`
`static String` | `FILTER_EDR` Available filters type

Constructor Summary
`EdrFilterFactory()`

Method Summary
`static EdrFilter` | `createDefaultFilterForAlarm()` Returns a new instance of a EDR filter for "alarms" Edrs.
`static EdrFilter` | `createDefaultFilterForCdr()` Returns a new instance of a EDR filter for "cdrs" Edrs.
`static EdrFilter` | `createDefaultFilterForEdr()` Returns a new instance of a EDR filter for "pure" Edrs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILTER_ALARM

    public static final String FILTER_ALARM

See Also:
  Constant Field Values

### FILTER_CDR

    public static final String FILTER_CDR

See Also:
  Constant Field Values

### FILTER_EDR

    public static final String FILTER_EDR

  Available filters type

  See Also:
    Constant Field Values

Constructor Detail

### EdrFilterFactory

    public EdrFilterFactory()

Method Detail

### createDefaultFilterForAlarm

    public static EdrFilter createDefaultFilterForAlarm()
                                                 throws Exception

  Returns a new instance of a EDR filter for "alarms" Edrs.

  Throws:
    `Exception`

### createDefaultFilterForCdr

    public static EdrFilter createDefaultFilterForCdr()
                                               throws Exception

  Returns a new instance of a EDR filter for "cdrs" Edrs.

  Throws:
    `Exception`

### createDefaultFilterForEdr

    public static EdrFilter createDefaultFilterForEdr()
                                               throws Exception

  Returns a new instance of a EDR filter for "pure" Edrs.

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD